Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Properties | Events | List of all members
Parameter Class Reference

ParameterContainerに格納されるParameterのクラス。 More...

## Public Types
enum | Type { Int, Float, Bool, GameObject, String, Enum, Vector2 = 1000, Vector3, Quaternion, Rect, Bounds, Color, Transform = 2000, RectTransform, Rigidbody, Rigidbody2D, Component, Long, Variable = 3000 }
| パラメータの型。 More...

## Public Member Functions
delegate void | DelegateOnChanged (Parameter parameter)
| パラメータを変更した時に呼ばれるデリゲート。 More...
void | OnChanged ()
| 値を変更した際に呼び出す。 More...
bool | SetEnum< TEnum > (TEnum value)
| Enumの値を設定 More...
bool | TryGetEnum< TEnum > (out TEnum value)
| Enum型の値を取得する。 More...
void | SetVariable< T > (T value)
| Variableの値を設定 More...
bool | GetVariable< T > (ref T value)
| Variableの値を取得 More...
override string | ToString ()
| 値を文字列形式に変換する。 More...
string | ToString (string format)
| 値を文字列形式に変換する。 More...

## Static Public Member Functions
static System.Type | GetValueType (Parameter.Type type, System.Type referenceType=null)
| パラメータの値の型を取得する。 More...

## Public Attributes
ParameterContainerInternal | container
| このパラメータが格納されているコンテナ。 More...
int | id
| ID。 More...
Type | type
| パラメータの型。 More...
string | name
| パラメータの名前。 More...
ClassTypeReference | referenceType = new ClassTypeReference()
| objectReferenceValueやEnumの型。 More...

## Properties
ClassTypeReference | componentType`[get, set]`
| コンポーネントの型 More...
bool | isPublicSet`[get]`
| このパラメータが外部グラフから設定可能かどうかを返す。(グラフ内パラメータ用) More...
bool | isPublicGet`[get]`
| このパラメータが外部グラフから取得可能かどうかを返す。(グラフ内パラメータ用) More...
int | intValue`[get, set]`
| Int型の値。 More...
long | longValue`[get, set]`
| Long型の値。 More...
float | floatValue`[get, set]`
| Float型の値。 More...
bool | boolValue`[get, set]`
| Bool型の値。 More...
string | stringValue`[get, set]`
| String型の値。 More...
bool | isEnum`[get]`
| このパラメータがEnum型であるかどうかを返す。 More...
System.Enum | enumValue`[get, set]`
| Enum型の値。 More...
Vector2 | vector2Value`[get, set]`
| Vector2型の値。 More...
Vector3 | vector3Value`[get, set]`
| Vector3型の値。 More...
Quaternion | quaternionValue`[get, set]`
| Quaternion型の値。 More...
Rect | rectValue`[get, set]`
| Rect型の値。 More...
Bounds | boundsValue`[get, set]`
| Bounds型の値。 More...
Color | colorValue`[get, set]`
| Color型の値。 More...
Object | objectReferenceValue`[get, set]`
| Object型の値。 More...
GameObject | gameObjectValue`[get, set]`
| GameObject型の値。 More...
object | variableValue`[get, set]`
| Variable型の値。 More...
System.Type | valueType`[get]`
| 値の型を取得する。 More...
object | value`[get, set]`
| タイプに応じた値を取得する。 More...

## Events
DelegateOnChanged | onChanged
| 値が変更された際に呼び出されるコールバック関数。 More...

## Detailed Description

ParameterContainerに格納されるParameterのクラス。

## Member Enumeration Documentation

enum Type
| strong

パラメータの型。

Enumerator
Int | Int型。
Float | Float型。
Bool | Bool型。
GameObject | GameObject型。
String | String型。
Enum | Enum型。
Vector2 | Vector2型。
Vector3 | Vector3型。
Quaternion | Quaternion型。
Rect | Rect型。
Bounds | Bounds型。
Color | Color型。
Transform | Transform型。
RectTransform | RectTransform型。
Rigidbody | Rigidbody型。
Rigidbody2D | Rigidbody2D型。
Component | Component型。
Long | Long型。
Variable | Variable型。

## Member Function Documentation

delegate void DelegateOnChanged | ( | Parameter | parameter | ) |

パラメータを変更した時に呼ばれるデリゲート。

Parameters

  parameter | パラメータ

static System.Type GetValueType | ( | Parameter.Type | type,
|  | System.Type | referenceType = `null`
| ) |  |
| static

パラメータの値の型を取得する。

Parameters

  type | パラメータのタイプ
  referenceType | 参照する型（Enum, Component, Variableで使用）

Returns
  パラメータの値の型

bool GetVariable< T > | ( | ref T | value | ) |

Variableの値を取得

Template Parameters

  T | Variableの値の型

Parameters

  value | 値

Returns
  trueなら成功、falseなら失敗

Type Constraints

  T | : | new() |

void OnChanged | ( |  | ) |

値を変更した際に呼び出す。

bool SetEnum< TEnum > | ( | TEnum | value | ) |

Enumの値を設定

Parameters

  value | 値

Type Constraints

  TEnum | : | struct |

void SetVariable< T > | ( | T | value | ) |

Variableの値を設定

Template Parameters

  T | Variableの値の型

Parameters

  value | 値

Type Constraints

  T | : | new() |

override string ToString | ( |  | ) |

値を文字列形式に変換する。

Returns
  変換した文字列

string ToString | ( | string | format | ) |

値を文字列形式に変換する。

Parameters

  format | 数値書式指定フォーマット(Int,Long,Floatのみ)

Returns
  変換した文字列

数値書式指定フォーマットの詳細については、次を参照してください。標準の数値書式指定文字列、カスタム数値書式指定文字列

bool TryGetEnum< TEnum > | ( | out TEnum | value | ) |

Enum型の値を取得する。

Parameters

  value | 取得する値。

Returns
  成功した場合はtrueを返す。

Type Constraints

  TEnum | : | struct |

## Member Data Documentation

ParameterContainerInternal container

このパラメータが格納されているコンテナ。

int id

ID。

string name

パラメータの名前。

ClassTypeReference referenceType = new ClassTypeReference()

objectReferenceValueやEnumの型。

Type type

パラメータの型。

## Property Documentation

bool boolValue
| get set

Bool型の値。

Bounds boundsValue
| get set

Bounds型の値。

Color colorValue
| get set

Color型の値。

ClassTypeReference componentType
| get set

コンポーネントの型

System.Enum enumValue
| get set

Enum型の値。

float floatValue
| get set

Float型の値。

GameObject gameObjectValue
| get set

GameObject型の値。

int intValue
| get set

Int型の値。

bool isEnum
| get

このパラメータがEnum型であるかどうかを返す。

bool isPublicGet
| get

このパラメータが外部グラフから取得可能かどうかを返す。(グラフ内パラメータ用)

bool isPublicSet
| get

このパラメータが外部グラフから設定可能かどうかを返す。(グラフ内パラメータ用)

long longValue
| get set

Long型の値。

Object objectReferenceValue
| get set

Object型の値。

Quaternion quaternionValue
| get set

Quaternion型の値。

Rect rectValue
| get set

Rect型の値。

string stringValue
| get set

String型の値。

object value
| get set

タイプに応じた値を取得する。

System.Type valueType
| get

値の型を取得する。

object variableValue
| get set

Variable型の値。

Vector2 vector2Value
| get set

Vector2型の値。

Vector3 vector3Value
| get set

Vector3型の値。

## Event Documentation

DelegateOnChanged onChanged

値が変更された際に呼び出されるコールバック関数。